% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tools.R
\name{switch_type}
\alias{switch_type}
\alias{process_col_argument}
\title{Return a column's name}
\usage{
switch_type(type)

process_col_argument(.col)
}
\arguments{
\item{type}{Character. Specifies the column to choose:
"nt" chooses the CDR3 nucleotide column,
"aa" chooses the CDR3 amino acid column,
"v" chooses the V gene segment column,
"j" chooses the J gene segment column.}

\item{.col}{A string that specifies the column(s) to be processed. Pass one of the
following strings, separated by the plus sign: "nt" for nucleotide sequences,
"aa" for amino acid sequences, "v" for V gene segments, "j" for J gene segments.}
}
\value{
A column's name.
}
\description{
Return a column's name
}
\examples{
immunarch:::switch_type("nuc")
immunarch:::switch_type("v")
}
\concept{utility_private}
